%if 0%{?fedora} < 13 && 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global tarball_name Python_WebDAV_Library

Name:           python-webdav-library
Version:        0.3.0
Release:        3%{?dist}
Summary:        Object-oriented Python WebDAV client-side library

Group:          Development/Libraries
# most parts are ASL 2.0
# qp_xml.py is Public Domain
# davlib.py is Python license
License:        ASL 2.0 and Python and Public Domain
URL:            https://launchpad.net/python-webdav-lib
# source releases are done on pypi (homepage states 1.2 as latest version)
Source0:        http://pypi.python.org/packages/source/P/%{tarball_name}/%{tarball_name}-%{version}.zip
Patch0:         0001-Use-PyXML-qp_xml-module.patch

BuildArch:      noarch
BuildRequires:  python2-devel,python-setuptools


%description
This project aims to provide an object-oriented Python WebDAV
client-side library based on Python`s standard httplib and Greg
Stein`s davlib. The client shall fully support RFCs 4918 (basic
specification), 3744 (access control), and 3253 (versioning).

%prep
%setup -q -n %{tarball_name}-%{version}
%patch0 -p1

# fix EOLs
sed -i 's/\r//' *.txt

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# remove bundled qp_xml (we patched sources to use PyXML version)
rm $RPM_BUILD_ROOT/%{python_sitelib}/qp_xml*


%files
%doc LICENSE.txt CHANGES.txt README.txt
%{python_sitelib}/webdav
%{python_sitelib}/davlib.py*
%{python_sitelib}/uuid_.py*
%{python_sitelib}/*.egg-info

%changelog
* Fri Feb 24 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.0-3
- Remove dependency on PyXML (use stdlib from python)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 15 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.0-1
- Update to latest upstream version
- Remove buildroot definition and other packaging tweaks

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 23 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.2.0-2
- Remove forgotten Requires on python-icalendar

* Tue Aug  3 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.2.0-1
- Initial package version

